{
  P/M Graphics demonstration
  by Bostjan Gorisek 2015
  
  Developed in Mad-Pascal by Tebe / Madteam
}
uses crt, graph, pmg;

var
  // Player data
  p0Data2 : array [0.._PM_MAX] of byte = (60, 66, 129, 165, 129, 153, 129, 165, 153, 66, 60, 0, 0, 0, 0);
  p1Data2 : array [0.._PM_MAX] of byte = (124,130,254,254,124,56,16,16,16,16,16,16,16,124,254);
  p2Data2 : array [0.._PM_MAX] of byte = (60,102,110,118,118,118,102,60,24,0,0,0,0,0,0);
  p3Data2 : array [0.._PM_MAX] of byte = (10, 20, 30, 40, 50, 60, 70, 80, 55, 28, 255,0, 0, 0, 0);
    
// Main code
begin
  // Set graphics mode and playfield colors
  InitGraph(0);
  
  // Initialize P/M graphics
  SetPM(_PM_DOUBLE_RES);
  InitPM(_PM_DOUBLE_RES);  
  
  // Set program colors
  Poke(710, 0); Poke(712, 0);
  // Cursor off
  Poke(752, 1);
  
  writeln(eol,'P/M Graphics demonstration');
  writeln(eol,'by Bostjan Gorisek 2015',eol);

  Move(p0Data2, pointer(p0Data), sizeof(p0Data2));
  Move(p1Data2, pointer(p1Data), sizeof(p1Data2));
  Move(p2Data2, pointer(p2Data), sizeof(p2Data2));
  Move(p3Data2, pointer(p3Data), sizeof(p3Data2));

  // Turn on P/M graphics
  ShowPM(_PM_SHOW_ON);        
            
  // Draw players
  ColorPM(0, 202);
  ColorPM(1, 250);
  ColorPM(2, 136);
  ColorPM(3, 36);
  SizePM(0, _PM_DOUBLE_SIZE);
  SizePM(1, _PM_DOUBLE_SIZE);
  SizePM(2, _PM_QUAD_SIZE);
  SizePM(3, _PM_NORMAL_SIZE);
  MovePM(0, 60, 70);
  MovePM(1, 170, 90);
  MovePM(2, 100, 85);
  MovePM(3, 140, 100);
    
  repeat until keypressed;

  // Reset P/M graphics
  ShowPM(_PM_SHOW_OFF);        
end.
